package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazPatRecMapper;
import com.goldenwater.slaj.hazard.domain.BisHazPatRec;
import com.goldenwater.slaj.hazard.service.IBisHazPatRecService;

/**
 * 危险源巡视记录 服务层实现
 */
@Service
public class BisHazPatRecServiceImpl implements IBisHazPatRecService {

    @Autowired
    private BisHazPatRecMapper bisHazPatRecMapper;

    /**
     * 查询危险源巡视记录信息
     * @param guid 查询条件
     * @return 危险源巡视记录信息
     */
    @Override
    public BisHazPatRec selectBisHazPatRecByGuid(String guid) {
        return bisHazPatRecMapper.selectBisHazPatRecByGuid(guid);
    }

    /**
     * 查询危险源巡视记录列表
     * @param bisHazPatRec 危险源巡视记录查询条件
     * @return 危险源巡视记录集合
     */
    @Override
    public List<BisHazPatRec> selectBisHazPatRecList(BisHazPatRec bisHazPatRec) {
        return bisHazPatRecMapper.selectBisHazPatRecList(bisHazPatRec);
    }

    /**
     * 新增危险源巡视记录
     * @param bisHazPatRec 危险源巡视记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazPatRec(BisHazPatRec bisHazPatRec) {
        return bisHazPatRecMapper.insertBisHazPatRec(bisHazPatRec);
    }

    /**
     * 修改危险源巡视记录
     * @param bisHazPatRec 危险源巡视记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazPatRec(BisHazPatRec bisHazPatRec) {
        return bisHazPatRecMapper.updateBisHazPatRec(bisHazPatRec);
    }

    /**
     * 删除危险源巡视记录
     * @param guid 危险源巡视记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazPatRecByGuid(String guid) {
        return bisHazPatRecMapper.deleteBisHazPatRecByGuid(guid);
    }

    /**
     * 批量删除危险源巡视记录
     * @param guids 危险源巡视记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazPatRecByGuids(String[] guids) {
        return bisHazPatRecMapper.deleteBisHazPatRecByGuids(guids);
    }
}
